Bug 447948 - Review Request: R-lmtest - Testing Linear Regression Models for R
Review Request: R-lmtest - Testing Linear Regression Models for R
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 11:54 EDT by Orion Poplawski
Modified: 2008-06-25 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-25 12:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-05-22 11:54:52 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/R-lmtest.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-lmtest-0.9-1.fc8.src.rpm
Description: 
A collection of tests, data sets and examples for diagnostic checking in
linear regression models in R.
Comment 1 Jason Tibbitts 2008-06-11 21:38:10 EDT
Builds fine; rpmlint notices that the license tag needs tweaking:
finds a bunch of utf8 complaints:
  W: invalid-license GPL
I believe that, according to the COPYRIGHTS file, this is GPLv2 only.

rpmlint also complains about a bunch of non-utf8 files:
  W: file-not-utf8 /usr/lib64/R/library/lmtest/man/lmtest.Rd.gz
  W: file-not-utf8 /usr/lib64/R/library/lmtest/latex/bondyield.tex
and various other tex files.  These all seem to come to one name, "Krämer", in
8859-1.  I think it's worth converting these, since none of the produced
documentation files carry any encoding information.

rpmlint also has the two expected complaints about R-make-search-index.sh, which
can be ignored.

You should probably include the COPYRIGHTS file as %doc.

* source files match upstream:
   884e9eb00874c4221e50be02e07db10e054241f1466b25017c3f9b296edbd636  
   lmtest_0.9-21.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field isn't valid.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
X rpmlint has valid complaints.
* final provides and requires are sane:
   lmtest.so()(64bit)
   R-lmtest = 0.9-1.fc10
  =
   /bin/sh
   R
   libR.so()(64bit)
   libgfortran.so.3()(64bit)

* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Jason Tibbitts 2008-06-22 14:38:24 EDT
Orion, ping?  The fixes needed are pretty trivial.
Comment 3 Orion Poplawski 2008-06-23 14:29:37 EDT
Sorry, was on vacation for a while, then busy :-).

Spec URL: http://www.cora.nwra.com/~orion/fedora/R-lmtest.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-lmtest-0.9-2.fc8.src.rpm

* Mon Jun 23 2008 Orion Poplawski <orion@cora.nwra.com> 0.9-2
- Fix License, add README and COPYRIGHTS to doc
- Fixup non utf8 files
Comment 4 Jason Tibbitts 2008-06-23 18:54:36 EDT
Thanks; looks good.

APPROVED
Comment 5 Orion Poplawski 2008-06-23 19:06:16 EDT
New Package CVS Request
=======================
Package Name: R-lmtest
Short Description: Testing Linear Regression Models for R
Owners: orion
Branches: F-8 F-9 EL-4 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-06-24 20:14:46 EDT
cvs done.
Comment 7 Orion Poplawski 2008-06-25 12:31:23 EDT
Checked in and built.  Thanks all!

Note You need to log in before you can comment on or make changes to this bug.